Skip to content

Worker Detail

Method: GET

Endpoint: /api/scraper

Send the request with query parameters. No authentication required.

Terminal window
curl "https://openapi.coreclaw.com/api/scraper?slug=01KJXYJ7KCHXM0PDZHQD5293XE"
ParameterExampleTypeRequiredDescription
slug01KJXYJ7KCHXM0PDZHQD5293XEStringYesUnique Worker identifier (scraper_slug)
{
"code": 0,
"message": "success",
"data": {
"parameters": {
"system": {
"cpus": 0.125,
"memory_bytes": 512,
"max_total_charge": 0,
"max_total_traffic": 0,
"execute_limit_time_seconds": 1800
},
"custom": {
"properties": [
{
"name": "startURLs",
"type": "array",
"title": "Start URLs",
"editor": "json",
"default": [
{ "url": "https://example.com" }
],
"required": true,
"description": "List of URLs to start crawling from"
}
]
}
},
"readme": "# Worker README\n\nThis is the Worker description.",
"version": "v1.0.1"
}
}
ParameterExampleTypeDescription
code0IntegerGlobal status code
messagesuccessStringResponse message
data-ObjectResponse payload
ParameterExampleTypeDescription
parameters-ObjectWorker parameter schema
readme-StringWorker readme (Markdown)
versionv1.0.1StringLatest Worker version

Note: This endpoint returns memory_bytes, while Start Worker uses memory as the request field name. Both represent the same value in MB.

ParameterExampleTypeDescription
cpus0.125numberDevice CPU cores
memory_bytes512IntegerDevice memory (MB)
max_total_charge0IntegerMaximum execution charge (USD)
max_total_traffic0IntegerMaximum execution traffic (MB)
execute_limit_time_seconds1800IntegerExecution timeout (seconds)

The custom object varies per Worker. Use this to determine what input fields that Worker expects.

ParameterExampleTypeDescription
properties-ArrayArray of custom parameter definitions

Each item in properties:

ParameterExampleTypeDescription
namestartURLsStringParameter name
typearrayStringParameter type
titleStart URLsStringDisplay title
editorjsonStringEditor type
default[{“url”: “https://example.com”}]ArrayDefault value
requiredtrueBooleanWhether required
descriptionList of URLs to start crawling fromStringParameter description
{
"code": 50001,
"message": "Script does not exist",
"data": null
}